![The Well App](thumbnail.png)

<div align='center'>
  
<a href='https://github.com/chroline/well_app/releases'>
  
<img src='https://img.shields.io/github/v/release/chroline/well_app?color=%23FDD835&label=version&style=for-the-badge'>
  
</a>
  
<a href='https://github.com/chroline/well_app/blob/main/LICENSE'>
  
<img src='https://img.shields.io/github/license/chroline/well_app?style=for-the-badge'>
  
</a>
  
</div>

<br />

---

<div align='center'>
  
### Quick Links
  
<a href='https://projects.colegaw.in/well-app'>
  
<img src='https://img.shields.io/badge/HOMEPAGE-gray?style=for-the-badge'>
  
</a>
  
<a href='https://projects.colegaw.in/well-app/research'>
  
<img src='https://img.shields.io/badge/RESEARCH-blue?style=for-the-badge'>
  
</a>
  
<a href='https://projects.colegaw.in/well-app/case-study'>
  
<img src='https://img.shields.io/badge/CASE STUDY-green?style=for-the-badge'>
  
</a>
  
</div>

---

### The Well app is available for download! 🥳 🚀

- iOS/macOS: Search for "well: reboot your mindset" on the [iOS app store](https://apps.apple.com/us/app/well-reboot-your-mindset/id1573357406).
- Web: Visit [https://well-app.netlify.app](https://well-app.netlify.app). Install as a PWA for native-like functionality!
- Android: coming soon 👀

---

<br />

<div align="center">

**[PROJECT PHILOSOPHY](https://github.com/chroline/well_app#-philosophy) • 
[TECH STACK](https://github.com/chroline/well_app#-tech-stack) • 
[CONTRIBUTING](https://github.com/chroline/well_app#%EF%B8%8F-contributing) • 
[SPREAD THE WORD](https://github.com/chroline/well_app/blob/main/README.md#-spread-the-word) • 
[LICENSE](https://github.com/chroline/well_app/blob/main/README.md#%EF%B8%8F-license)**

</div>

<br />

# 🧐 Project philosophy

The Well app is a mental health and mindfulness app built on top of the science of positive psychology. The Well app is more than just another meditation or journaling app; it encourages you to enhance and reflect on your day with structured, guided activities.

There are 5 daily tasks that the Well app asks you to complete each day: record 3 gratitudes, write a journal entry, perform 3 acts of kindness, exercise for 20 minutes, and meditate for 15 minutes.

# 👨‍💻 Tech stack

Here's a brief high-level overview of the tech stack the Well app uses:

- This project uses the [Flutter app development framework](https://flutter.dev/). Flutter is a cross-platform hybrid app development platform which allows us to use a single codebase for apps on mobile, desktop, and the web.
- For persistent storage (database), the app uses the [Hive](https://hivedb.dev/) package which allows the app to create a custom storage schema and save it to a local database.
- To send local push notifications, the app uses the [flutter_local_notifications](https://pub.dev/packages/flutter_local_notifications) package which supports Android, iOS, and macOS.
  - 🚨 Currently, notifications aren't working on macOS. This is a known issue that we working to resolve!
- The app uses the font ["Work Sans"](https://fonts.google.com/specimen/Work+Sans) as its main font, and the design of the app adheres to the material design guidelines.

For more information on the technologies that power the Well app, check out the [Tech Stack](https://github.com/chroline/well_app/wiki/Tech-Stack) page on our wiki.

# ✍️ Contributing

Interested in contributing to the Well app project? Thanks so much for your interest! We are always looking for improvements to the project and contributions from open-source developers are greatly appreciated.

If you have a contribution in mind, please check out our [Contribution Guide](https://github.com/chroline/well_app/wiki/Contribution-Guide) for information on how to do so. Also, make sure you read our [Code of Conduct](https://github.com/chroline/well_app/wiki/Code-of-Conduct) to foster an encouraging sense of community.

# 🌟 Spread the word!

If you want to say thank you or/and support active development of the Well app:

- Add a GitHub Star to the project!
- Tweet about project on your Twitter!
  - Tag [@colegawin_](https://twitter.com/colegawin_) and/or `#thewellapp`
- Leave us a review [on the iOS App Store](https://apps.apple.com/us/app/well-reboot-your-mindset/id1573357406)!

Thanks so much for your interest in growing the reach of the Well app!

_**PS:** consider sponsoring me ([Cole Gawin](https://colegaw.in)) to continue the development of this project on [BuyMeACoffee](https://buymeacoffee.com/colegawin) :)_

# ⚠️ License

The Well App is free and open-source software licensed under the GNU General Public License v3.0. All designs were created by [Cole Gawin](https://github.com/chroline) and distributed under Creative Commons license (CC BY-SA 4.0 International).

<br />

---

<br />

# ❤️

Reminder that *you are great, you are enough, and your presence is valued.* If you are struggling with your mental health, please reach out to someone you love and consult a professional. [There are many resources for you to get help in a time of need.](https://www.nimh.nih.gov/health/find-help)
